/2025-07/retail-media/line-items/{line-item-id}/bid-multipliers
curl --request PUT \
--url https://api.criteo.com/2025-07/retail-media/line-items/{line-item-id}/bid-multipliers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"category": 123,
"categoryMenu": 123,
"checkout": 123,
"confirmation": 123,
"deals": 123,
"favorites": 123,
"home": 123,
"id": "<string>",
"merchandising": 123,
"productDetail": 123,
"search": 123,
"searchBar": 123
},
"id": "<string>",
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2025-07/retail-media/line-items/{line-item-id}/bid-multipliers"
payload = { "data": {
"attributes": {
"category": 123,
"categoryMenu": 123,
"checkout": 123,
"confirmation": 123,
"deals": 123,
"favorites": 123,
"home": 123,
"id": "<string>",
"merchandising": 123,
"productDetail": 123,
"search": 123,
"searchBar": 123
},
"id": "<string>",
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
category: 123,
categoryMenu: 123,
checkout: 123,
confirmation: 123,
deals: 123,
favorites: 123,
home: 123,
id: '<string>',
merchandising: 123,
productDetail: 123,
search: 123,
searchBar: 123
},
id: '<string>',
type: '<string>'
}
})
};
fetch('https://api.criteo.com/2025-07/retail-media/line-items/{line-item-id}/bid-multipliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"category": 123,
"categoryMenu": 123,
"checkout": 123,
"confirmation": 123,
"deals": 123,
"favorites": 123,
"home": 123,
"id": "<string>",
"merchandising": 123,
"productDetail": 123,
"search": 123,
"searchBar": 123
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-07/retail-media/line-items/{line-item-id}/bid-multipliers
Updates the bid multipliers for a given line item
PUT
/
2025-07
/
retail-media
/
line-items
/
{line-item-id}
/
bid-multipliers
/2025-07/retail-media/line-items/{line-item-id}/bid-multipliers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
LineItemId for bid multiplier retrieval
Body
application/json
New Bid Multipliers to be set
A top-level object that encapsulates a Criteo API request for a single entity
A class that represents a domain entity exposed by an API
Show child attributes
Show child attributes
Response
200 - application/json
object | null
BidMultipliers Updated
Was this page helpful?
/2025-07/retail-media/line-items/{line-item-id}/bid-multipliers
Previous
/2025-07/retail-media/line-items/{line-item-id}/keywords/review
Next
⌘I